type SimpleEventListener<Detail> = (detail: Detail) => void;
/**
 * Thinnest possible wrapper around native events
 *
 * @usage
 *   const smokeSignals = new SimpleEventTarget();
 *   smokeSignals.add(details => console.log(details))
 *   smokeSignals.emit('The BBQ is ready');
 */
export declare class SimpleEventTarget<Detail> extends EventTarget {
    coreEvent: string;
    private readonly weakEvents;
    add(callback: SimpleEventListener<Detail>): void;
    remove(callback: SimpleEventListener<Detail>): void;
    emit(detail?: Detail): void;
    private getNativeListener;
}
export {};
